Modify

Opened 14 months ago

Closed 14 months ago

Last modified 13 months ago

#20708 closed enhancement (fixed)

Re-organize the upload dialog

Reported by: simon04 Owned by: simon04
Priority: normal Milestone: 21.04
Component: Core Version:
Keywords: upload dialog Cc:

Description (last modified by simon04)

The current upload dialog wastes plenty of space (typical monitors have a 16:9 or 16:10 aspect ratio).

I propose to make the wider, and to use a vertical split for displaying the object lists and the settings:



Fixes #4144.

Attachments (4)

Screenshot 2021-04-03 at 12.17.57.png (393.7 KB) - added by simon04 14 months ago.
Screenshot 2021-04-03 at 12.18.02.png (387.9 KB) - added by simon04 14 months ago.
Screenshot 2021-04-03 at 14.04.21.png (349.1 KB) - added by simon04 14 months ago.
Screenshot_2021-04-03 iD editor.png (156.8 KB) - added by simon04 14 months ago.

Download all attachments as: .zip

Change History (18)

Changed 14 months ago by simon04

Changed 14 months ago by simon04

comment:1 Changed 14 months ago by simon04

Description: modified (diff)

comment:2 Changed 14 months ago by gaben

Great idea, I was thinking the same recently.

comment:3 Changed 14 months ago by gaben

My observations:

  • the 'Tags of new changeset' part not aligned to the bottom of the window
  • the 'Settings' tab meaning a bit overlaps with 'Changesets' because both are a changeset property. Maybe reword to Description and Settings? Take into consideration that I'm not a native speaker.

comment:4 Changed 14 months ago by simon04

Description: modified (diff)

Changed 14 months ago by simon04

comment:5 Changed 14 months ago by simon04

@gaben, thanks for your observations.

I've further streamlined the first tab of the upload dialog:


comment:6 Changed 14 months ago by skyper

+1, much better use of space on 16:9.

Sliders to only show one side, like the history browser, could be added.

Changed 14 months ago by simon04

comment:7 Changed 14 months ago by Don-vip

looks nice!

comment:8 Changed 14 months ago by simon04

In 17708/josm:

see #20708 - Remove unused upload dialog customization

comment:9 Changed 14 months ago by simon04

Resolution: fixed
Status: assignedclosed

In 17709/josm:

fix #20708 - Re-organize the upload dialog

comment:10 Changed 14 months ago by gaben

Closed #4144 as fixed.

comment:11 Changed 14 months ago by skyper

Nice, but I cannot move the divider. The mouse icon changes hovering over the vertical dots but that is the only noticeable effect. Maybe it depends on the laf, though.

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2021-04-07 23:41:13 +0200 (Wed, 07 Apr 2021)
Revision:17714
Build-Date:2021-04-08 01:30:56
URL:https://josm.openstreetmap.de/svn/trunk

Identification: JOSM/1.5 (17714 en) Linux Debian GNU/Linux 10 (buster)
Memory Usage: 635 MB / 768 MB (101 MB allocated, but free)
Java version: 11.0.9.1+1-post-Debian-1deb10u2, Debian, OpenJDK 64-Bit Server VM
Look and Feel: com.formdev.flatlaf.FlatDarkLaf
Desktop environment: GNOME

comment:12 Changed 14 months ago by skyper

Strange, today it works, but not for the whole width of the dialog. Is it possible to have these little arrows to hide on side for good like in history browser and the horizontal one in Relation Editor. Thanks in advance.

comment:13 in reply to:  11 ; Changed 14 months ago by Klumbumbus

Replying to skyper:

Nice, but I cannot move the divider.

The left and right side have a minimum width. If you have the window on minimal width you cannot move the divider.

comment:14 in reply to:  13 Changed 13 months ago by skyper

Replying to Klumbumbus:

Replying to skyper:

Nice, but I cannot move the divider.

The left and right side have a minimum width. If you have the window on minimal width you cannot move the divider.

Now I have a source with ~200 characters and I cannot move the divider in fullscreen.
Please, can we have the two small arrors to hide one side for good. Thanks.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain simon04.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.